Retrieve all EOI Responses, filter by query
curl --request GET \
--url https://api.zivio.net/api/v3/eoi_responses \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v3/eoi_responses"
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v3/eoi_responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eoi_responses": [
{
"id": "10",
"proposal": "A proposal description",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"shortlisted_at": "2023-11-07T05:31:56Z",
"rejected_at": "2023-11-07T05:31:56Z",
"eoi": {
"id": "3",
"title": "Example EOI",
"submission_deadline": "2023-11-07T05:31:56Z",
"owner": {
"id": "226",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"vetting_status": "PASSED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
},
"supplier": {
"id": "86",
"name": "Example Supplier Ltd",
"email": "<string>",
"vetting_status": "PASSED",
"tax_number": "123456789",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]
}EOI Responses
Retrieve all EOI Responses, filter by query
GET
/
eoi_responses
Retrieve all EOI Responses, filter by query
Query Parameters
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on created timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated timestamp for object.
Filter objects by supplier id
Number of results returned per request
Paginate results when number of results exceeds limit
Results are sorted by created desc as default. Ordering may be specified, available options are ['created', 'updated'], which can be combined in a comma separated list, e.g. updated:desc,created:asc
Response
ok
Show child attributes
Show child attributes
⌘I

